$ErrorActionPreference = 'Stop';

$packageName = 'PowerBI'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop.msi'
$url64      = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop_x64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'PowerBI*'

  checksum      = '87e1efa3c82a9842ae408d3f5e4efb9a98948b9b670d5c17083ef98b971e1929'
  checksumType  = 'sha256'
  checksum64    = '7a2656d9ad027f8b5fbc48b8cf4a68198ee598de90b84885aacf69a947f7ef1d'
  checksumType64= 'sha256'

  silentArgs    = "/qb ACCEPT_EULA=1 /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
